// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _RepeatGUI = {
	init: function () {
		// opener
		document.getElementById('button_event_repeat').addEventListener("click", _RepeatGUI.show);
		// GUI objects
		document.getElementById('button_repeat_close').addEventListener("click", _RepeatGUI.hide);
		document.getElementById('event_rrule_freq_radio').addEventListener("click", _RepeatGUI.click_freq);
		document.getElementById('event_rrule_until_reset').addEventListener("click", _RepeatGUI.click_reset_until);
	},
	show: function (event) {
		document.getElementById('div_repeat').style.display = '';
	},
	hide: function (e) {
		document.getElementById('div_repeat').style.display = 'none';
		_EventGUI.upd_buttons();
	},
	select_freq: function (value) {
		var ul = document.getElementById('event_rrule_freq_radio');
		var lis = ul.querySelectorAll('li');
		// unselect all
		for (var i=0;i<lis.length;i++)
			lis[i].className = '';
		// select by value
		for (var i=0;i<lis.length;i++) {
			if (lis[i].innerHTML.toLowerCase()==value.toLowerCase())
				lis[i].className = 'selected';
		}
		document.getElementById('event_rrule_freq').value = value.toLowerCase();
	},
	click_freq: function (e) {
		var o = e.target;
		if (o.nodeName=='LI') {
			if (o.className.indexOf('selected')!=-1) {
				_RepeatGUI.select_freq('');
				// o.className = o.className.replace(/selected/,'');
				// document.getElementById('event_rrule_freq').value = '';
			} else {
				_RepeatGUI.select_freq(o.innerHTML);
				// var lis = o.parentNode.querySelectorAll('li');
				// for (var i=0;i<lis.length;i++)
					// lis[i].className = '';
				// document.getElementById('event_rrule_freq').value = o.innerHTML.toLowerCase();
				// o.className = 'selected';
			}
		}
	},
	click_reset_until: function (e) {
		document.getElementById('event_rrule_until').value = '';
	}
}
